Externals, Livecode and MacOS : problems

Ludovic THEBAULT ludovic.thebault at laposte.net
Mon Dec 26 09:57:06 EST 2016


> Le 26 déc. 2016 à 08:21, Ludovic THEBAULT <ludovic.thebault at laposte.net> a écrit :
> 
> hello,
> 
> I need to compile an « old » and big stack (created six years ago).
> I am under MacOS X 10.11
> 
> With Livecode 8.12 : the standalone is created without errors and work on MacOS X 10.11 but crash on 10.6 (because of the external tsnet, bug 19035 <http://quality.livecode.com/show_bug.cgi?id=19035>). Even if i choose to not include the external tsNet, the standalone include it. If i manually remove this external, the standalone crash.
> 
> With Livecode 7.14 or Livecode 6.711 : i’ve errors when i create the standalone : externals needed by the standalone are not copied in the app (size = 0 octets). If i put it manually in the standalone (by copying it from the Livecode app) the standalone « ignore » them.
> 
> Here the errors :
> 1	MacOSX x86-32, Support, revpdfprinter.bundle failed to copy: required for PDF printing.
> 2	MacOSX x86-32, external failed to copy: "/Applications/LiveCode Commercial 6.7.11.app/Contents/Tools/Runtime/Mac OS X/x86-32/Externals/revbrowser.bundle"
> 3	MacOSX x86-32, external failed to copy: "/Applications/LiveCode Commercial 6.7.11.app/Contents/Tools/Runtime/Mac OS X/x86-32/Externals/revzip.bundle"
> 
> on the console
> 25/12/16 21:14:49	[0x0-0x79079].com.runrev.livecode[542]	objc[542]: Class NonBlockingPanel is implemented in both /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit and /Applications/LiveCode Commercial 6.7.11.app/Contents/Tools/Externals/revbrowser.bundle/Contents/MacOS/revbrowser. One of the two will be used. Which one is undefined.
> 
> I’ve tried on a virtual box machine under 10.6 with a fresh install of livecode 6.711 and a new empty stack with only the externals added in the standalone settings, i’ve got the same error.
> Very strange. I’am the only one with this bug ?
> 
> So, how i can produce a standalone that work with macOs 10.6 ?
> 
> I’ll try with Livecode 8.02 and 6.78

It’s work with Livecode 8.02.

Ludovic



More information about the Use-livecode mailing list